> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# ウォレット - 純資産サマリー（一括）

> 複数ウォレットの現在の純資産サマリーを取得



## OpenAPI

````yaml /jp/api-reference/openapi-data-jp.yaml GET /v2/wallet/{chain}/net-worth-summary
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: ブロックチェーン関連の操作
  - name: Token
    description: トークン関連の操作
  - name: Trade
    description: 取引関連の操作
  - name: Wallet
    description: ウォレット関連の操作
  - name: Dex
    description: DEX 関連の操作
  - name: Ranking
    description: ランキング関連の操作
  - name: DexPool
    description: DEX プール関連の操作
  - name: Watchlist
    description: ウォッチリスト関連の操作
  - name: KYT
    description: KYT 関連の操作
  - name: Webhook
    description: Webhook 関連の操作
  - name: RedPacket
    description: レッドパケット関連の操作
  - name: IPFS
    description: IPFS 関連の操作
  - name: DexScreener
    description: DexScreener 関連の操作
paths:
  /v2/wallet/{chain}/net-worth-summary:
    get:
      tags:
        - Wallet
      summary: ウォレット - 純資産サマリー（複数）
      description: 複数ウォレットの現在の純資産サマリーを取得
      operationId: get.net.worth.summary
      parameters:
        - name: chain
          in: path
          description: サポートされているネットワークに記載されているチェーン名
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: walletAddresses
          in: query
          description: カンマ (,) で区切られたウォレットアドレスのリスト。最大100件のウォレットアドレスが許可されています
          required: true
          schema:
            type: string
          example: >-
            3bovD5jCRn7eG64jZqyEz6Zbx92mHixZSTRrWLy1Sirx,FrxXcJ1uUHa9A5jxgNFBxT4bHBnFVQZbxJa2Je3gjotP
      responses:
        '200':
          description: 成功レスポンス
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletNetWorthSummaryResponse'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    WalletNetWorthSummaryResponse:
      type: object
      required:
        - currentTimestamp
        - wallets
      properties:
        currentTimestamp:
          type: string
          description: 現在のサーバータイムスタンプ
          example: '2025-10-30T03:33:40.980Z'
        wallets:
          type: object
          description: ウォレットアドレスから純資産額へのマップ
          additionalProperties:
            $ref: '#/components/schemas/NetWorthSummaryValue'
          propertyNames:
            type: string
          example:
            3bovD5jCRn7eG64jZqyEz6Zbx92mHixZSTRrWLy1Sirx:
              value: '1764819473.530063'
    NetWorthSummaryValue:
      type: object
      required:
        - value
      properties:
        value:
          type: string
          description: USD建ての純資産額
          example: '1764819473.530063'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````